/***********************
* Acciones de composición de Adobe Edge Animate
*
* Editar este archivo con precaución, teniendo cuidado de conservar 
* las firmas de función y los comentarios que comienzan con "Edge" para mantener la 
* capacidad de interactuar con estas acciones en Adobe Edge Animate
*
***********************/
(function($, Edge, compId){
var Composition = Edge.Composition, Symbol = Edge.Symbol; // los alias más comunes para las clases de Edge

   //Edge symbol: 'stage'
   (function(symbolName) {
      
      
      Symbol.bindSymbolAction(compId, symbolName, "creationComplete", function(sym, e) {
         
         
         
         

      });
      //Edge binding end
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      

      

      

      

      

      

      Symbol.bindElementAction(compId, symbolName, "document", "compositionReady", function(sym, e) {
         /*
         	ROTACIÓN ALEATORIA
         	X=0;
         	X=364;
         	X=727;
         	X=1091;
         	X=1455;
         
         	VOCALES
         
         	A = X EN 1818;
         	E = X EN 2182;
         	I = X EN 2545;
         	O = X EN 2909;
         	U = X EN 3273;
         	cohete = X en 3637;
         	tigre = X en 4000;
         	flor = X en 4363;
         */
         
         // Arreglo que almacena la posición de cada vocal y las imagenes del movimiento del cubo
         /*
         var posiciones = ["0","-364","-727","-1091","-1455","-1818","-2182",
         						"-2545","-2909","-3273","-3637","-4000","-4363"];
         						*/
         var posiciones = ["0","-372","-744","-1116","-1488","-1860","-2232","-2604","-2976","-3348"];
         
         sym.$('#Stage_hotspot').css('visibility', 'hidden');
         ladoAleatorioB = 0;
         
         // Función para mostrar aleatoriamente una de las 5 vocales
         function lanzarCubo(){
         	var counter = 0;	
         	var nAl = 0;
         	sym.$('#Stage_hotspot').css('visibility', 'visible');
         	var looper = setInterval(function(){    	
         		
             	var ladoAleatorio = Math.floor(Math.random() * (10-5)+5);     	    
             	if(nAl>4){
             		nAl = 0;
             	}
             	$('#Stage_cubo').css("backgroundPosition",posiciones[nAl]+"px 0px");
         
             	if (counter >= 5)
             	{
             		if(ladoAleatorio == ladoAleatorioB)
             		{
             			if(ladoAleatorio >= 5 && ladoAleatorio < 9)
             			{
         	    			ladoAleatorio++;
             				ladoAleatorioB = ladoAleatorio; 
             			}
             			if(ladoAleatorio == 9)
             			{
         	    			ladoAleatorio--;
             				ladoAleatorioB = ladoAleatorio; 
             			}    		
             		}
             		else
             		{
         		   	ladoAleatorioB = ladoAleatorio;    
             		}
             		//console.log("A __ :"+ladoAleatorio);
                 	clearInterval(looper);
                 	sym.$('#Stage_hotspot').css('visibility', 'hidden');        	
                 	$('#Stage_cubo').css("backgroundPosition",posiciones[ladoAleatorio]+"px 0px");        	
         
                 	if(ladoAleatorio == 5){
                 		$("#Stage_mensaje1").show();
                 	}
                 	if(ladoAleatorio == 6 ){
                 		$("#Stage_mensaje2").show();
                 	}
                 	if(ladoAleatorio == 7 ){
                 		$("#Stage_mensaje3").show();
                 	}
                 	if(ladoAleatorio == 8){
                 		$("#Stage_mensaje4").show();
                 	}
                 	if(ladoAleatorio == 9 ){
                 		$("#Stage_mensaje5").show();
                 	}
             	}    	
             	counter++;
             	nAl++;
         	}, 350);
         }
         
         
         $('#Stage_bt_girar').click( function(){
         	$(".mensajes").hide();
         	lanzarCubo();
         });
         
         /*
         $( "#foo" ).one( "click", function() {
         alert( "This will be displayed only once." );
         });
         */

      });
      //Edge binding end

      

   })("stage");
   //Edge symbol end:'stage'

   //=========================================================
   
   //Edge symbol: 'Precargador'
   (function(symbolName) {   
   
   })("Precargador");
   //Edge symbol end:'Precargador'

   //=========================================================
   
   //Edge symbol: 'boton'
   (function(symbolName) {   
   
   })("boton");
   //Edge symbol end:'boton'

   //=========================================================
   
   //Edge symbol: 'bt_girar'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_HotSpot1}", "click", function(sym, e) {
         sym.stop("down");
         

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_HotSpot2}", "click", function(sym, e) {
         sym.stop("up");
         

      });
      //Edge binding end

   })("bt_girar");
   //Edge symbol end:'bt_girar'

})(jQuery, AdobeEdge, "EDGE-5531445");